mkapfs(8)

NAME
mkapfs - create an APFS filesystem

SYNOPSIS
mkapfs [-sv] [-L label] [-U UUID] [-u UUID] device [blocks]

DESCRIPTION
mkapfs is an experimental tool to create an APFS filesystem with a single volume on the given device. The number of blocks in the container can be specified in blocks, otherwise the whole disk is used.

OPTIONS

-s  Enable case sensitivity for the volume.

-z  Enable normalization sensitivity for the volume.

-L label
    Set a label for the volume, with a maximum length of 255 bytes.

-U UUID
    Specify a UUID for the container, in the standard format. By default the value is chosen by /proc/sys/kernel/random/uuid.

-u UUID
    Specify a UUID for the volume, in the standard format. By default the value is chosen by /proc/sys/kernel/random/uuid.

-v  Print the version number of mkapfs and exit.

REPORTING BUGS
Please report bugs via email or, if preferred, file a github issue at https://github.com/eafer/apfsprogs/issues.

AUTHOR
Written by Ernesto A. Fernández <ernesto.mnd.fernandez@gmail.com>.

SEE ALSO
apfsck(8)